#ifndef WELL_H_INCLUDED
#define WELL_H_INCLUDED

#include "TS.h"

#define well_height 22
#define well_width  14

extern u8 well[well_height + 8][well_width + 8];
extern const u8 shape_pattern[7][4][4];

typedef struct
{
    u8 x;
    u8 y;
    u8 shape;
    u8 rotate;
} t_shape_pos;

void WellClear();
u8 IsCollision(t_shape_pos* pos);
void DrawShape(t_shape_pos* pos, u8 color);
void ShowWell();

#endif // WELL_H_INCLUDED
