
#include "TS.h"
#include "Screen.h"
#include "Game.h"
#include "IO.h"


void FrameIrq() __interrupt
{
    PauseProcess();
    JoyProcess();
    KeyProcess();
    EI
}

void Init()
{
    InitTS();
    SetVMode();
    CreateTiles();
    InitIRQ(0, 0, &FrameIrq);
}

void Loop()
{
    Logo();
    Reset();
    while(1)
    {
        DrawFrame();
        HALT
    }
}

void main()
{
    Init();
    Loop();
}
