.module crt0
   .globl   _main

   .area   _HEADER
init:
   ld   sp,#0xBFFF

    ;; Initialise global variables
    call    gsinit
   call   _main
   jp   _exit

_exit::
1$:
   halt
   jr   1$

   .area   _HOME
   .area   _CODE
   .area   _INITIALIZER
   .area   _GSINIT
   .area   _GSFINAL

   .area   _DATA
   .area   _INITIALIZED
   .area   _BSEG
   .area   _BSS
   .area   _HEAP

   .area   _CODE

    jp      init

   .area   _GSINIT
gsinit::
   ld   bc, #l__INITIALIZER
   ld   a, b
   or   a, c
   jr   Z, gsinit_next
   ld   de, #s__INITIALIZED
   ld   hl, #s__INITIALIZER
   ldir
gsinit_next:

   .area   _GSFINAL
   ret
